## python-cmake-build-extension 0.6.0

=== debian/changelog ===
python-cmake-build-extension (0.6.0-2) unstable; urgency=medium

  * Fix copy&paste bug in patch
  * Depend on gcc for autopkgtest
  * Make sure CMake picks the correct Python version

 -- Timo Röhling <roehling@debian.org>  Mon, 10 Jun 2024 23:06:54 +0200

python-cmake-build-extension (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #1072781)

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Jun 2024 00:21:23 +0200
