=== debian/changelog ===
python-cmake-build-extension (0.6.1-2) unstable; urgency=medium

  * Fix compatibility with SWIG 4.3 (Closes: #1090904)

 -- Timo Röhling <roehling@debian.org>  Mon, 23 Dec 2024 01:13:21 +0100

python-cmake-build-extension (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * Refresh patch (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Fri, 13 Sep 2024 13:41:15 +0200
