=== debian/control ===
Source: python-cmake-build-extension
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
Homepage: https://github.com/diegoferigo/cmake-build-extension
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/cmake-build-extension.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cmake-build-extension
Description: Setuptools extension to build and package CMake projects
 This extension aims to simplify the integration of C++ projects based on CMake
 with Python packaging tools. CMake provides out-of-the-box support to either
 SWIG and pybind11, that are two among the most used projects to create Python
 bindings from C++ sources.
 .
 If you have any experience with these hybrid projects, you know the challenges
 to make packaging right! This project takes inspiration from pre-existing
 examples (pybind/cmake_example, among many others) and provides a simple,
 flexible, and reusable setuptools extension with the following features:
 .
  * Bridge between CMake projects and Python packaging
  * Configure and build the CMake project from setup.py
  * Install the CMake project in the resulting Python package
  * Allow passing custom CMake options
  * Allow creating a top-level __init__.py
  * Expose C++ executables to the Python environment
  * Provide a context manager to import CPython modules reliably on all major
    OSs
  * Disable the C++ extension in editable installations (requiring to manually
    call CMake to install the C++ project)

Package: python3-cmake-build-extension
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 cmake,
 ninja-build,
Description: ${source:Synopsis}
 ${source:Extended-Description}
