=== debian/tests/control ===
Tests: build-example
Depends:
 @,
 cmake,
 gcc,
 g++,
 libeigen3-dev,
 ninja-build,
 python3-all-dev,
 python3-build,
 python3-numpy,
 python3-pybind11,
 python3-setuptools,
 python3-setuptools-scm,
 swig,
Restrictions: allow-stderr

Tests: build-example-debianized
Depends:
 @,
 cmake,
 dpkg-dev,
 gcc,
 g++,
 libeigen3-dev,
 ninja-build,
 python3-all-dev,
 python3-build,
 python3-numpy,
 python3-pybind11,
 python3-setuptools,
 python3-setuptools-scm,
 swig,
Restrictions: allow-stderr
